INCLUDES = -I$(top_srcdir)/src $(all_includes) -I../libsmpppdclient
METASOURCES = AUTO


check_PROGRAMS = smpppdcstests

smpppdcstests_SOURCES = main.cpp clienttest.cpp
smpppdcstests_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_QT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor
smpppdcstests_LDADD = ../libsmpppdclient/libsmpppdclient.la -ltdeunittestgui

noinst_HEADERS = clienttest.h

check:
	tdeunittest ./smpppdcstests ClientTest

